Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027711
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminorhave not tried2014-09-29 17:492014-12-30 23:23
ReporterjonalegriaesarteView Statuspublic 
Assigned Toreinaldoguerra 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionadc397cb9c93
ProjectionnoneETAnoneTarget Version3.0PR15Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027711: Refresh button in Vendor Invoice Report is showing an error

DescriptionRefresh button in Vendor Invoice Report is showing an error. The system raises 404 error
Steps To Reproduce- Vendor Invoice report
- Use refresh button
TagsNo tags attached.
Attached Filesdiff file icon 27711.diff [^] (832 bytes) 2014-10-14 13:42 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0070921)
jonalegriaesarte (reporter)
2014-10-14 13:42

Possible patch attached
(0071008)
reinaldoguerra (developer)
2014-10-17 04:51

Test plan used:
1- Login into Openbravo ERP.
2- Go to Vendor Invoice Report manual window.
3- Press refresh button in the tool bar.
4- It works correctly now.
(0071021)
hgbot (developer)
2014-10-17 12:54

Repository: erp/devel/pi
Changeset: 9daa58f8e17b0e8c24999d10bea5add60833095c
Author: Reinaldo Guerra <reinaldo.guerra <at> peoplewalking.com>
Date: Wed Oct 15 11:33:23 2014 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/9daa58f8e17b0e8c24999d10bea5add60833095c [^]

Fixed bug 27711: Refresh button in Vendor Invoice Report is showing an error.

ReportInvoiceVendorJR java class was changed to instanciate ToolBar component reffering the correct file name of the html manual form: ReportInvoiceVendorFilterJR instead of ReportInvoiceVendorFilter.
Now refresh button in Vendor Invoice Report works correctly.

---
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceVendorJR.java
---
(0071022)
hgbot (developer)
2014-10-17 12:55

Repository: erp/devel/pi
Changeset: adc397cb9c93802d49c46d21553dba1acd4e4caf
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Fri Oct 17 12:54:03 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/adc397cb9c93802d49c46d21553dba1acd4e4caf [^]

Fixed bug 27711: Updated copyright year

---
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceVendorJR.java
---
(0071025)
vmromanos (developer)
2014-10-17 12:56

Code review + testing OK
(0072946)
hudsonbot (developer)
2014-12-30 23:23

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0072947)
hudsonbot (developer)
2014-12-30 23:23

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-09-29 17:49 jonalegriaesarte New Issue
2014-09-29 17:49 jonalegriaesarte Assigned To => AtulOpenbravo
2014-09-29 17:49 jonalegriaesarte Modules => Core
2014-09-29 17:49 jonalegriaesarte Triggers an Emergency Pack => No
2014-10-14 13:42 jonalegriaesarte File Added: 27711.diff
2014-10-14 13:42 jonalegriaesarte Note Added: 0070921
2014-10-15 18:10 reinaldoguerra Assigned To AtulOpenbravo => reinaldoguerra
2014-10-15 18:10 reinaldoguerra Status new => scheduled
2014-10-17 04:51 reinaldoguerra Note Added: 0071008
2014-10-17 12:54 hgbot Checkin
2014-10-17 12:54 hgbot Note Added: 0071021
2014-10-17 12:54 hgbot Status scheduled => resolved
2014-10-17 12:54 hgbot Resolution open => fixed
2014-10-17 12:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9daa58f8e17b0e8c24999d10bea5add60833095c [^]
2014-10-17 12:55 hgbot Checkin
2014-10-17 12:55 hgbot Note Added: 0071022
2014-10-17 12:55 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/9daa58f8e17b0e8c24999d10bea5add60833095c [^] => http://code.openbravo.com/erp/devel/pi/rev/adc397cb9c93802d49c46d21553dba1acd4e4caf [^]
2014-10-17 12:56 vmromanos Review Assigned To => vmromanos
2014-10-17 12:56 vmromanos Note Added: 0071025
2014-10-17 12:56 vmromanos Status resolved => closed
2014-12-30 23:23 hudsonbot Checkin
2014-12-30 23:23 hudsonbot Note Added: 0072946
2014-12-30 23:23 hudsonbot Checkin
2014-12-30 23:23 hudsonbot Note Added: 0072947


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker